UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 19336

LogiCORE SPI-4.2 (POS-PHY L4) v6.1 - When migrating from SPI-4.2 evaluation core to full feature core, must use the new constraint files

Description

Urgency: Standard 

 

General Description: 

I am upgrading an SPI4.2 core from the evaluation version to the full-featured version and I am encountering an NGDBuild error stating that certain constraints are not found.

Solution

In general, when upgrading an SPI-4.2 core from the evaluation version to the full-featured version, or when migrating from one version to another, you should always use the new NCF and UCF wrapper files that accompany the new version of the core. These files are needed to avoid any mismatches in ports and component names defined in the constraints files. 

 

If you are using 2v6000ff1517 with 64-bits FIFO interface and dynamic configuration, and have been using an evaluation version of the SPI4.2 v6.1 core, line 198 in the UCF file is different. In this section of the UCF file, the component name G_80 changes to G_81 (when upgrading from the evaluation core to the full-featured core).

AR# 19336
Date Created 09/03/2007
Last Updated 05/16/2014
Status Archive
Type General Article